Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.frameworks
Class Forwarder

    java.lang.Object
      org.apache.portals.bridges.frameworks.Forwarder

public class Forwarder
extends Object

Forwarder

Version:
  $Id: Forwarder.java 517068 2007-03-12 01:44:37Z ate $
Author:
  David Sean Taylor

Field Summary
`(package private) PortletApplicationModel` | `model`
`(package private) javax.portlet.RenderRequest` | `request`
`(package private) javax.portlet.RenderResponse` | `response`

Constructor Summary
`private` | `Forwarder()`
`` | `Forwarder(PortletApplicationModel model, javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`

Method Summary
`private void` | `buildLink(String actionForward, javax.portlet.PortletURL url)`
`javax.portlet.PortletURL` | `getLink(String actionForward)` Get a link from a action forward logical name in the form of view:action where action can be "success" or "failure"
`javax.portlet.PortletURL` | `getLink(String forward, String action)` Get a link from a action forward logical name for the given action
`javax.portlet.PortletURL` | `getView(String viewName)` Get a link from a view name plus optional comma separated mode, window state Supports syntax from forwards Examples of viewName parameter: "myview" "myview" "myview,state:maximized" "myview,state:normal" "myview,mode:view,state:maximized" "myview,mode:edit,state:normal"
`private javax.portlet.PortletMode` | `setPortletMode(String forward, javax.portlet.PortletURL url)`
`private void` | `setWindowState(String forward, javax.portlet.PortletURL url)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### model

    PortletApplicationModel model

### request

    javax.portlet.RenderRequest request

### response

    javax.portlet.RenderResponse response

Constructor Detail

### Forwarder

    public Forwarder(PortletApplicationModel model,
                     javax.portlet.RenderRequest request,
                     javax.portlet.RenderResponse response)

### Forwarder

    private Forwarder()

Method Detail

### toString

    public String toString()

### getView

    public javax.portlet.PortletURL getView(String viewName)

  Get a link from a view name plus optional comma separated mode, window state Supports syntax from forwards Examples of viewName parameter: "myview" "myview" "myview,state:maximized" "myview,state:normal" "myview,mode:view,state:maximized" "myview,mode:edit,state:normal"

  Returns:

### getLink

    public javax.portlet.PortletURL getLink(String actionForward)

  Get a link from a action forward logical name in the form of view:action where action can be "success" or "failure"

  Parameters:
    `actionForward` -
  Returns:

### getLink

    public javax.portlet.PortletURL getLink(String forward,
                                            String action)

  Get a link from a action forward logical name for the given action

  Returns:

### buildLink

    private void buildLink(String actionForward,
                           javax.portlet.PortletURL url)

### setWindowState

    private void setWindowState(String forward,
                                javax.portlet.PortletURL url)

### setPortletMode

    private javax.portlet.PortletMode setPortletMode(String forward,
                                                     javax.portlet.PortletURL url)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.